Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Vereiste afhankelijken zijn niet geïnstalleerd.  (gelezen 1222 keer)

Offline Will53

  • Lid
Vereiste afhankelijken zijn niet geïnstalleerd.
« Gepost op: 2019/02/16, 17:19:10 »
Onmiddellijk na het installeren van Xubuntu 14.04.5 op een compaq nx7400, welke goed verlopen is, komt de melding om op te waarderen naar 16.04.5. Er staan geen andere distributies op dit toestel.
Bij het opwaarderen komt dit bericht: de vereiste afhankelijken zijn niet geïnstalleerd  'apt (>=1.0.1ubuntu2.13)'.
 Hoe dit oplossen om het systeem te kunnen opwaarderen?
Ben nieuw op dit forum en nog niet zo vertrouwd met Linux Ubuntu.

Offline Pjotr

  • Lid
    • Makkelijke Linuxtips
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #1 Gepost op: 2019/02/16, 17:26:13 »
Doe een schone installatie (met formatteren en al) van Xubuntu 18.04. Veel beter.  :)

Offline HWE64

  • Lid
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #2 Gepost op: 2019/02/16, 18:57:49 »
Doe een schone installatie (met formatteren en al) van Xubuntu 18.04. Veel beter.  :)
En neem als handleiding deze belangrijke site van Pjoter https://makkelijkelinuxtips.blogspot.com/p/1.html en onmisbaar voor een beginneling (ik ook). ;)
Niet panikeren, er is een Ubuntuforum.

Desktop AMD Ryzen 5 2400G , 8GB,  1x PCI-E SD m.2 240GB en 1x Sata 240GB, Xubuntu 18.04.3 LTS /W10 .  Laptop Clevo N750WU  I5, 16GB, 250GB, Xubuntu 18.04.3 LTS . HP DC5750 AMD64, AMD Athlon X64 X2  2,1GHz RAM 3GB SSD 240GB, Test PC, Xubuntu 18.04.3 LTS /Linux Mint 19.2 Xfce

Offline Will53

  • Lid
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #3 Gepost op: 2019/02/17, 12:40:54 »
Aan Pjotr
Heb je raad opgevolgd, alles deleten en daarna met succes Xubuntu 18.04.1 LTS geïnstalleerd. Maar ik kom nu aan 1.6 van het direct-doen-lijstje na installatie voor Xubuntu 18.04 (30 bekende bugs), dit is blijkbaar geschreven voor Linux mint 19.
Mogen deze 30 punten ook toegepast worden bij Xubuntu 18.04?

Offline Pjotr

  • Lid
    • Makkelijke Linuxtips
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #4 Gepost op: 2019/02/17, 12:55:50 »
Aan Pjotr
Heb je raad opgevolgd, alles deleten en daarna met succes Xubuntu 18.04.1 LTS geïnstalleerd. Maar ik kom nu aan 1.6 van het direct-doen-lijstje na installatie voor Xubuntu 18.04 (30 bekende bugs), dit is blijkbaar geschreven voor Linux mint 19.
Mogen deze 30 punten ook toegepast worden bij Xubuntu 18.04?
Jawel, maar lees eerst even dit:
https://makkelijkelinuxtips.blogspot.com/p/handleiding-ubuntu.html

Offline Will53

  • Lid
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #5 Gepost op: 2019/02/18, 19:12:04 »
Aan Pjotr

Na het instellen van mijn Brother netwerkprinter wil ik ook het scannergedeelte laten functioneren, maar ik stel vast dat de opdrachten geschreven zijn  voor een 64-bit systeem. Zijn er ook opdrachten voor een 32-bit systeem zoals in mijn geval?

In het hoofdstuk " Stel firefox goed in" kom je bij 'vind u hier' terecht op de uit dienst genomen site 'Computertips' met een error 404. Of zit de goede link voor Firefox in een ander hoofdstuk?

Offline Pjotr

  • Lid
    • Makkelijke Linuxtips
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #6 Gepost op: 2019/02/18, 23:33:50 »
In het hoofdstuk " Stel firefox goed in" kom je bij 'vind u hier' terecht op de uit dienst genomen site 'Computertips' met een error 404. Of zit de goede link voor Firefox in een ander hoofdstuk?
Dat zal ik eens gaan repareren.... De Firefox-pagina zit hier:
https://makkelijkelinuxtips.blogspot.com/p/firefox.html

Offline Will53

  • Lid
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #7 Gepost op: 2019/02/22, 17:42:25 »
Na het installeren van Xubuntu 18.04 (32-bit) op een Compaq nx7400, heb ik voor het instellen van de Brother netwerkprinter de handleiding gevolgd van Pjotr (Printers en scanners installeren). En dit werkt voor het printergedeelte, maar bij openen van ‘Simple Scan’ komt de melding "Scanner niet gevonden".
De terminal-commando's om de scanner te laten functioneren staan ook in de handleiding voor een 64-bit systeem zoals onderstaand

sudo ln -sf /usr/lib64/libbrscandec*.so* /usr/lib

sudo mkdir -p /usr/lib/sane

sudo ln -sf /usr/lib64/sane/libsane-brother*.so* /usr/lib/sane

sudo usermod -a -G scanner jantje

sudo cp -v ~/Downloads/60-libsane.rules /lib/udev/rules.d/

De verschillende stappen voor een 32-bit systeem zoals ze vroeger in ‘computertips’ stonden, kan ik niet meer terugvinden.
Iemand die de werkwijze nog kan terugvinden of kan helpen?

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #8 Gepost op: 2019/03/03, 20:42:23 »
maar bij openen van ‘Simple Scan’ komt de melding "Scanner niet gevonden" (…) 32-bit systeem
Op de site van Brother wordt 32 bit nog wel genoemd https://support.brother.com/g/s/id/linux/en/faq_scn.html?c=us_ot&lang=en&comple=on&redirect=on#f00108

Hoofd PC januari 2018 HP Compaq Elite 8300 SFF Windows 10 & Xubuntu 18.04.3
PC 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Testversie Xubuntu 19.10
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM

Offline steef76

  • Lid
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #9 Gepost op: 2019/03/04, 04:17:13 »
Om een brother scanner te laten werken hoef je naast het installatie script van Brother enkel en alleen maar libsane-extras te installeren.
Staat gewoon in de repo's dus het kan heel simpel met

sudo apt-get install libsane-extras
Doe hierna nog even een herstart, en dan zal het scanprogramma dat je gebruikt de scanner wel zien en gebruiken!

Groet,

Steven
« Laatst bewerkt op: 2019/03/04, 04:28:51 door steef76 »

Offline steef76

  • Lid
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #10 Gepost op: 2019/03/04, 04:47:53 »
Even wat anders, waarom heb je 32-bit geinstalleerd?
Die compaq nx7400 zou in principe gewoon 64-bit kunnen draaien.
Probeer het een keertje met een 64-bit liveUSB, als die opstart dan kan die machine een 64-bits OS aan.

groet,

Steven
« Laatst bewerkt op: 2019/03/04, 04:50:12 door steef76 »

Offline Will53

  • Lid
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #11 Gepost op: 2019/03/05, 01:48:23 »
Op het terminalcommando 'arch'  komt het antwoord 'i686' , daarom heb ik Xubuntu 18.04.2 LTS 32-bit geïnstalleerd.

Om de Brother netwerkprinter-scanner te laten werken na installatie Xubuntu heb ik enkel de printer toegevoegd via afdrukbeheer, daarna een testpagina afgedrukt en dat werkt. De scanner met 'simple scan' geeft 'scanner niet gevonden' .

Na je opgegeven commando 'sudo apt-get install libsane-extras' komt het volgende op het einde

Uitpakken van .../libsane-extras-common_1.0.22.5_all.deb wordt voorbereid...
Bezig met uitpakken van libsane-extras-common (1.0.22.5) ...
Voorheen niet geselecteerd pakket libsane-extras:i386 wordt geselecteerd.
Uitpakken van .../libsane-extras_1.0.22.5_i386.deb wordt voorbereid...
Bezig met uitpakken van libsane-extras:i386 (1.0.22.5) ...
Bezig met afhandelen van triggers voor man-db (2.8.3-2ubuntu0.1) ...
Instellen van libsane-extras-common (1.0.22.5) ...
Instellen van libsane-extras:i386 (1.0.22.5) ...
libdvd-pkg: Checking orig.tar integrity...
/usr/src/libdvd-pkg/libdvdcss_1.4.2.orig.tar.bz2: OK
libdvd-pkg: `apt-get check` failed, you may have broken packages. Aborting...

Heb ik iets verkeerd of niet volledig gedaan?

Offline steef76

  • Lid
  • Steunpunt: Nee
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #12 Gepost op: 2019/03/05, 07:50:10 »
Hoi,

Volgens mij is het pakket libsane-extras gewoon geinstalleerd.
Hij blijft hangen op het libdvdcss gedeelte.
Maar probeer eens de boel bij te werken

sudo apt-get update
sudo apt-get upgrade


Groet,

Steven
« Laatst bewerkt op: 2019/03/05, 07:54:24 door steef76 »

Offline Will53

  • Lid
Re: Vereiste afhankelijken zijn niet geïnstalleerd.
« Reactie #13 Gepost op: 2019/03/08, 18:44:31 »
Dag Steef76 en Jolo

Via de voorstellen die je me hebt aangereikt is de scanner tot leven gekomen!!

Van harte dank aan jullie beiden.